Bug 1278619 - Tries to send as $USER
Tries to send as $USER
Status: NEW
Product: Fedora
Classification: Fedora
Component: msmtp (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 20:35 EST by Ben Boeckel
Modified: 2017-10-10 09:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:26:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2015-11-05 20:35:43 EST
It appears that sending with msmtp is getting the wrong FROM header. It used to happen occasionally within the past week or so, but it is now happening reliably. I migrated from esmtp in August or so, but hadn't had problems until recently. Did something else change which might cause this?

msmtp-1.6.2-2.fc24.x86_64

Also happens in F23 (same version and release). All sending is via with mutt with:

set sendmail = "msmtp"

Here is the output of "msmtp -v":

msmtp: envelope from address boeckb not accepted by the server
msmtp: server message: 553 5.1.2 The address specified is not a valid RFC-5321 address. i129sm6528872ywf.1 - gsmtp
msmtp: could not send mail (account gmail from /home/boeckb/.msmtprc)
ignoring system configuration file /etc/msmtprc: No such file or directory
loaded user configuration file /home/boeckb/.msmtprc
account chosen by envelope from address mathstuf@gmail.com: gmail
using account gmail from /home/boeckb/.msmtprc
host = smtp.gmail.com
port = 587
proxy host = (not set)
proxy port = 0
timeout = off
protocol = smtp
domain = localhost
auth = choose
user = mathstuf@gmail.com
password = *
passwordeval = (not set)
ntlmdomain = (not set)
tls = on
tls_starttls = on
tls_trust_file = /home/boeckb/.local/share/msmtp/ssl/gmail.crt
tls_crl_file = (not set)
tls_fingerprint = (not set)
tls_key_file = (not set)
tls_cert_file = (not set)
tls_certcheck = on
tls_min_dh_prime_bits = (not set)
tls_priorities = (not set)
auto_from = on
maildomain = (not set)
from = boeckb
add_missing_from_header = on
add_missing_date_header = on
remove_bcc_headers = on
dsn_notify = (not set)
dsn_return = (not set)
logfile = (not set)
syslog = (not set)
aliases = (not set)
reading recipients from the command line
<-- 220 smtp.gmail.com ESMTP i129sm6528872ywf.1 - gsmtp
--> EHLO localhost
<-- 250-smtp.gmail.com at your service, [70.209.132.230]
<-- 250-SIZE 35882577
<-- 250-8BITMIME
<-- 250-STARTTLS
<-- 250-ENHANCEDSTATUSCODES
<-- 250-PIPELINING
<-- 250-CHUNKING
<-- 250 SMTPUTF8
--> STARTTLS
<-- 220 2.0.0 Ready to start TLS
TLS certificate information:
        Owner:
            Common Name: smtp.gmail.com
            Organization: Google Inc
            Locality: Mountain View
            State or Province: California
            Country: US
        Issuer:
            Common Name: Google Internet Authority G2
            Organization: Google Inc
            Country: US
        Validity:
            Activation time: Tue 13 Oct 2015 07:31:26 PM EDT
            Expiration time: Tue 11 Oct 2016 08:00:00 PM EDT
    Fingerprints:
        SHA1: 41:D4:85:E1:FC:1B:1D:3A:2D:60:E3:51:AB:E6:4A:A4:52:D8:CF:00
        MD5:  B0:22:1C:8C:9F:04:F3:AF:8F:9A:92:8C:70:CD:38:1B
--> EHLO localhost
<-- 250-smtp.gmail.com at your service, [70.209.132.230]
<-- 250-SIZE 35882577
<-- 250-8BITMIME
<-- 250-AUTH LOGIN PLAIN XOAUTH2 PLAIN-CLIENTTOKEN OAUTHBEARER XOAUTH
<-- 250-ENHANCEDSTATUSCODES
<-- 250-PIPELINING
<-- 250-CHUNKING
<-- 250 SMTPUTF8
--> AUTH PLAIN AG1hdGhzdHVmQGdtYWlsLmNvbQBrbndpemN3bmVuam5oaGVj
<-- 235 2.7.0 Accepted
--> MAIL FROM:<boeckb>
--> RCPT TO:<mathstuf@gmail.com>
--> DATA
<-- 553 5.1.2 The address specified is not a valid RFC-5321 address.
+i129sm6528872ywf.1 - gsmtp

and the compose header info from mutt:

    From: Ben Boeckel <mathstuf@gmail.com>
    To: Ben Boeckel <mathstuf@gmail.com>
    Cc:
    Bcc:
    Subject: Testing
    Reply-To: mathstuf@gmail.com
Comment 1 Ben Boeckel 2015-11-05 20:36:36 EST
I should mention that switching back to esmtp is fine, so I'm guessing msmtp is to blame here.
Comment 2 Fedora End Of Life 2016-11-24 08:07:27 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 10:26:23 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.